nissetup(1M)

NAME
nissetup - initialize a NIS+ domain

SYNOPSIS
/usr/lib/nis/nissetup [ -Y ] [ domain ]

DESCRIPTION

nissetup is a shell script that sets up a NIS+ domain to service clients that wish to store system administration information in a domain named domain. This domain should already exist prior to executing this command (see nismkdir(1) and nisinit(1M)).

A NIS+ domain consists of a NIS+ directory and its subdirectories: org_dir and groups_dir. org_dir stores system administration information and groups_dir stores information for group access control.

nissetup creates the subdirectories org_dir and groups_dir in domain. Both subdirectories will be replicated on the same servers as the parent domain. After the subdirectories are created, nissetup creates the default tables that NIS+ serves. These are auto_master, auto_home, bootparams, cred, ethers, group, hosts, mail_aliases, netmasks, networks, passwd, protocols, rpc, services, and timezone. The nissetup script uses the nistbladm(1) command to create these tables. The script can be easily customized to add site specific tables that should be created at setup time.

This command is normally executed just once per domain.

OPTIONS

-Y  Specify that the domain will be served as both a NIS+ domain as well as an NIS domain using the backward compatibility flag. This will set up the domain to be less secure by making all the system tables readable by unauthenticated clients as well.

ATTRIBUTES
See attributes(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
Availability | SUNWnisu

SEE ALSO
nis+(1), nismkdir(1), nistbladm(1), nisaddent(1M), nisinit(1M) nisserver(1M), attributes(5)

NOTES
While this command creates the default tables, it does not initialize them with data. This is accomplished with the nisaddent(1M) command.

It is easier to use the nisserver(1M) script to create subdirectories and the default tables.